RubyGems Navigation menu

io_splice 3.1.0

The splice family of Linux system calls can transfer data between file descriptors without the need to copy data into userspace. Instead of a userspace buffer, they rely on an ordinary Unix pipe as a kernel-level buffer.

Gemfile
          gem 'io_splice', '~> 3.1.0'
  
  
  
  
  
  
  

install
          gem install io_splice -v 3.1.0
  
  
  
  
  
  
  

Total downloads 18,781

For this version 1,137

Show all versions (13 total)

Required Ruby Version: None

Links:

Versions:

  1. 4.3.0 - February 15, 2014 (48.5 KB)
  2. 4.2.0 - January 19, 2013 (49.5 KB)
  3. 4.1.1 - May 18, 2011 (48 KB)
  4. 4.1.0 - May 16, 2011 (47 KB)
  5. 4.0.0 - May 13, 2011 (46 KB)
Show all versions (13 total)

Development Dependencies: